Skip to main content
API referenceSubnets

Subnet Detail

Last updated

GET
/api/v1/subnets/{netuid}

Fetch per-subnet detail.

Path Parameters

netuid*integer
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/subnets/0"
{  "data": {    "candidate_surfaces": [      {        "auth_required": true,        "id": "example",        "kind": "archive",        "name": "Example Subnet",        "netuid": 7,        "provider": "example-provider",        "public_safe": true,        "schema_version": 1,        "source_url": "https://api.metagraph.sh/example",        "state": "schema-invalid",        "url": "https://api.metagraph.sh/example"      }    ],    "candidates": [      {        "auth_required": true,        "id": "example",        "kind": "archive",        "name": "Example Subnet",        "netuid": 7,        "provider": "example-provider",        "public_safe": true,        "schema_version": 1,        "source_url": "https://api.metagraph.sh/example",        "state": "schema-invalid",        "url": "https://api.metagraph.sh/example"      }    ],    "contract_version": "2026-06-29.1",    "economics": {      "alpha_fdv_tao": 0.5,      "alpha_in_pool": 0.5,      "alpha_market_cap_tao": 0.5,      "alpha_out_pool": 0.5,      "alpha_price_change_1d": 0.5,      "alpha_price_change_1h": 0.5,      "alpha_price_change_1m": 0.5,      "alpha_price_change_7d": 0.5,      "alpha_price_tao": 0.5,      "block": 5000000,      "emission_share": 0.5,      "max_stake_tao": 0.5,      "max_uids": 1,      "max_validators": 1,      "miner_count": 1,      "miner_readiness": 1,      "name": "Example Subnet",      "netuid": 7,      "open_slots": 1,      "owner_coldkey": "example",      "owner_hotkey": "example",      "registration_allowed": false,      "registration_cost_tao": 0.5,      "slug": "example-subnet",      "subnet_volume_tao": 0.5,      "tao_in_pool_tao": 0.5,      "total_stake_tao": 0.5,      "validator_count": 1    },    "endpoints": [      {        "auth_required": true,        "health_source": "probe-derived",        "health_stale": false,        "id": "example",        "kind": "archive",        "last_ok": "2026-06-01T00:00:00.000Z",        "layer": "bittensor-base",        "monitoring_policy": {          "enabled": true,          "expect": "example",          "method": "GET",          "source": "live-cron-prober"        },        "monitoring_status": "monitored",        "netuid": 7,        "observed_at": "2026-06-01T00:00:00.000Z",        "operator": "example-provider",        "pool_eligible": false,        "provider": "example-provider",        "public_safe": true,        "publication_state": "candidate",        "score": 100,        "status": "ok",        "surface_id": "example",        "surface_key": "example",        "url": "https://api.metagraph.sh/example"      }    ],    "gaps": {      "gap_notes": [        "example"      ],      "missing_kinds": [        "archive"      ],      "supported_kinds": [        "archive"      ]    },    "generated_at": "2026-06-01T00:00:00.000Z",    "notes": "Example description.",    "schema_version": 1,    "subnet": {      "block": 5000000,      "candidate_count": 1,      "categories": [        "example"      ],      "contact": "example",      "coverage_level": "native-only",      "curation": {        "level": "native",        "review_state": "unreviewed"      },      "curation_level": "native",      "dashboard_url": "https://api.metagraph.sh/example",      "derived_categories": [        "example"      ],      "description": "Example description.",      "docs_url": "https://api.metagraph.sh/example",      "gap_count": 1,      "gaps": {        "gap_notes": [          "example"        ],        "missing_kinds": [          "archive"        ],        "supported_kinds": [          "archive"        ]      },      "github_commits_weekly": [        {          "count": 1,          "week": "2026-06-01T00:00:00.000Z"        }      ],      "github_languages": {},      "github_last_push_at": "2026-06-01T00:00:00.000Z",      "github_stars": 1,      "github_unreachable": false,      "lifecycle": "active",      "links": [        {}      ],      "logo_url": "https://api.metagraph.sh/example",      "mechanism_count": 1,      "name": "Example Subnet",      "native_name": "example",      "native_name_quality": "chain",      "native_slug": "example-subnet",      "netuid": 7,      "notes": "Example description.",      "participant_count": 1,      "partnership": {        "since": "2026-06-01",        "tier": "pilot"      },      "previously_known_as": [        "example"      ],      "probed_surface_count": 1,      "provenance": {},      "registered_at_block": 5000000,      "slug": "example-subnet",      "social": {},      "source_repo": "https://api.metagraph.sh/example",      "status": "active",      "subnet_type": "root",      "surface_count": 1,      "symbol": "example",      "tempo": 1,      "website_url": "https://api.metagraph.sh/example"    },    "surfaces": [      {        "auth_required": true,        "authority": "official",        "id": "example",        "kind": "archive",        "netuid": 7,        "provider": "example-provider",        "public_safe": true,        "url": "https://api.metagraph.sh/example"      }    ],    "verified_surfaces": [      {        "auth_required": true,        "authority": "official",        "id": "example",        "kind": "archive",        "netuid": 7,        "provider": "example-provider",        "public_safe": true,        "url": "https://api.metagraph.sh/example"      }    ]  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}